/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.dto.child;
 
 /**
 * @author jv-beans-gen
 *
 */
public class FirstRidingInfoDto {

    /** 　　年月日場回日R */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 1, byteLength = 16)
    private java.lang.String raceKey;

    /** 　　出走頭数 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 17, byteLength = 2)
    private java.lang.Integer startHorseCount;

    /** 　　血統登録番号 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 19, byteLength = 10)
    private java.lang.String bloodRegistNo;

    /** 　　馬名 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 29, byteLength = 36)
    private java.lang.String horseName;

    /** 　　確定着順 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 65, byteLength = 2)
    private java.lang.Integer fixedArrivalOrder;

    /** 　　異常区分コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 67, byteLength = 1)
    private org.stormcat.jvbeans.config.code.AbnormalDivCd abnormalDivCd;


    /**
     * @return 　　年月日場回日R
     */
    public java.lang.String getRaceKey() {
        return raceKey;
    }
    
    /**
     * @param raceKey 　　年月日場回日R
     */
    public void setRaceKey(java.lang.String raceKey) {
        this.raceKey = raceKey;
    }    
    
    /**
     * @return 　　出走頭数
     */
    public java.lang.Integer getStartHorseCount() {
        return startHorseCount;
    }
    
    /**
     * @param startHorseCount 　　出走頭数
     */
    public void setStartHorseCount(java.lang.Integer startHorseCount) {
        this.startHorseCount = startHorseCount;
    }    
    
    /**
     * @return 　　血統登録番号
     */
    public java.lang.String getBloodRegistNo() {
        return bloodRegistNo;
    }
    
    /**
     * @param bloodRegistNo 　　血統登録番号
     */
    public void setBloodRegistNo(java.lang.String bloodRegistNo) {
        this.bloodRegistNo = bloodRegistNo;
    }    
    
    /**
     * @return 　　馬名
     */
    public java.lang.String getHorseName() {
        return horseName;
    }
    
    /**
     * @param horseName 　　馬名
     */
    public void setHorseName(java.lang.String horseName) {
        this.horseName = horseName;
    }    
    
    /**
     * @return 　　確定着順
     */
    public java.lang.Integer getFixedArrivalOrder() {
        return fixedArrivalOrder;
    }
    
    /**
     * @param fixedArrivalOrder 　　確定着順
     */
    public void setFixedArrivalOrder(java.lang.Integer fixedArrivalOrder) {
        this.fixedArrivalOrder = fixedArrivalOrder;
    }    
    
    /**
     * @return 　　異常区分コード
     */
    public org.stormcat.jvbeans.config.code.AbnormalDivCd getAbnormalDivCd() {
        return abnormalDivCd;
    }
    
    /**
     * @param abnormalDivCd 　　異常区分コード
     */
    public void setAbnormalDivCd(org.stormcat.jvbeans.config.code.AbnormalDivCd abnormalDivCd) {
        this.abnormalDivCd = abnormalDivCd;
    }    
    
}